%define url_ver      %(echo %{version}|cut -d. -f1,2)

%define matever 1.26.0

Summary:        MATE media programs
Name:           mate-media
Version:        1.26.1
Release:        %mkrel 1
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/MATE
URL:            https://mate-desktop.org/
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(mate-desktop-2.0) >= %{matever}
BuildRequires:  pkgconfig(libmatemixer) >= %{matever}
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(libmatepanelapplet-4.0) >= %{matever}

%description
Media utilities for the MATE desktop, including an audio mixer.

%prep
%autosetup

%build
%configure \
        --disable-static \
        --disable-schemas-compile

%make_build

%install
%make_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS README
%license COPYING
%{_mandir}/man1/*
%{_bindir}/mate-volume-control
%{_datadir}/%{name}/
%{_datadir}/sounds/mate/
%{_datadir}/applications/mate-volume-control.desktop
%{_sysconfdir}/xdg/autostart/mate-volume-control-status-icon.desktop
%{_bindir}/mate-volume-control-status-icon
%{_libexecdir}/mate-volume-control-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.GvcAppletFactory.service
%{_datadir}/mate-panel/applets/org.mate.applets.GvcApplet.mate-panel-applet


%changelog
* Tue May 30 2023 kekepower <kekepower> 1.26.1-1.mga9
+ Revision: 1959796
- Update to version 1.26.1

* Fri Apr 01 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1837895
- Mageia 9 Mass Rebuild

* Sat Aug 07 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740046
- new version 1.26.0

* Mon Aug 24 2020 kekepower <kekepower> 1.24.1-1.mga8
+ Revision: 1618698
- Update to version 1.24.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1548003
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488729
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.2-1.mga8
+ Revision: 1465679
- Update to version 1.22.2

* Tue Apr 02 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1385425
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375503
- Update to version 1.22.0

* Tue Jan 01 2019 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1348380
- Update to version 1.20.2

* Sat Dec 01 2018 kekepower <kekepower> 1.20.1-1.mga7
+ Revision: 1337258
- Update to version 1.20.1
- Rolled back to r1299471

* Mon Nov 26 2018 kekepower <kekepower> 1.21.0-1.mga7
+ Revision: 1335515
- Update to version 1.21.0

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1299471
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201475
- Updated to 1.20.0 version

* Sun Oct 29 2017 tarakbumba <tarakbumba> 1.19.1-1.mga7
+ Revision: 1174691
- Update to 1.19.1 version

* Thu Aug 24 2017 wally <wally> 1.18.1-1.mga7
+ Revision: 1147492
- new version 1.18.1

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092588
- Update to 1.18.0 version
- Update to 1.17.0 version

* Sat Dec 24 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1076996
- new version 1.16.0
- build with gtk3

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001466
- Update to 1.14.0 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 949279
- Update to 1.13.0 version

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908183
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898518
-Update to 1.12.0 version

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 837932
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-4.mga5
+ Revision: 748748
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 682193
- Mageia 5 Mass Rebuild
+ tarakbumba <tarakbumba>
- Obsolete common package, not needed now.
- Require virtual *-sound package to allow users choose from pulse or gst backends.
- *-pulse and *-gstreamer packages now provides virtual *-sound package.

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600099
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598122
- imported package mate-media

